# Makefile for decomp_MPI/ssTwod (AIX)

PDIR            =	$(PARADYN_LIBDIR)
STARTCODE       =       $(PDIR)/DYNINSTstartCode.o
ENDCODE         =       $(PDIR)/DYNINSTendCode.o
DYNLIB          =       $(PDIR)/libdyninstRT.o
DYNEXPORTS      =       $(PDIR)/DYNINST_EXPORTS

F77		=	f77
F77FLAGS	=	-g
INCS            =       -I/usr/lpp/ppe.poe/include
LIBS            =       -lc -lg -lm
F77LIBS		=	-lxlf90

POELIBS         =       -L/usr/lpp/ppe.poe/lib -lppe -lmpi -lvtd \
			-L/usr/lpp/ppe.poe/lib/us -lmpci
CRT0            =       /usr/lpp/ppe.poe/lib/crt0.o

LINK            =       ld
LINKFLAGS       =       -bpT:0x10000000 -bpD:0x20000000 -btextro -bnodelcsect \
			-bnso -bI:/lib/syscalls.exp -bE:/usr/lib/libg.exp \
			-bnoobjreorder -H4 -bE:$(DYNEXPORTS) \
			-bI:/usr/lpp/ssp/css/libus/fs_ext.exp

VPATH		=	../src

OBJS1		=	onednb.o nbsweep.o nbexchng.o diff.o onedbase.o decomp.o

OBJS2		=	twod.o sweep2.o exchng2.o diff2d.o twodbase.o \
			decomp.o fndnbr2d.o


ssTwod:	$(OBJS2) $(DYNLIB)
	$(LINK) $(LINKFLAGS) -o $@ $(CRT0) \
	$(STARTCODE) $(OBJS2) $(ENDCODE) $(DYNLIB) $(LIBS) $(POELIBS) $(F77LIBS)

ssOned:	$(OBJS1) $(DYNLIB)
	$(LINK) $(LINKFLAGS) -o $@ $(CRT0) \
	$(STARTCODE) $(OBJS1) $(ENDCODE) $(DYNLIB) $(LIBS) $(POELIBS) $(F77LIBS)

all:	ssOned ssTwod

.f.o:
	$(F77) $(F77FLAGS) $(INCS) -c $<

clean:
	rm -f *.o
	rm -f ssOned ssTwod stats.out

